package model;

public class Article extends NewsItem {
	private String author;
	private String content;
	
	// Fill in dummy content
	{
		content = "Lorem ipsum dolor sit amet, consetetur sadipscing elitr, "
				+ "sed diam nonumy eirmod tempor invidunt ut labore et dolore "
				+ "magna aliquyam erat, sed diam voluptua.";
	}
	
	/**
	 * Creates an article with the given title and author.
	 * @param title
	 * @param author
	 */
	public Article(String title, String author) {
		this.title = title;
		this.author = author;
	}
	
	/**
	 * Get the author of the article.
	 * @return author
	 */
	public String getAuthor() {
		return author;
	}
	
	/**
	 * Get the content of the article.
	 * @return
	 */
	public String getContent() {
		return content;
	}

	@Override
	public String getOverviewInformation() {
		return "Article: " + this.getTitle() + ", Author: " + this.getAuthor();
	}

	@Override
	public String getDetailedInformation() {
		StringBuilder builder = new StringBuilder();
		builder.append("###" + this.getTitle() + "###");
		builder.append("\n");
		builder.append(this.getContent());
		builder.append("\n");
		return builder.toString();
	}
}
